Method: projects.locations.instances.getInstanceHealth

Memeriksa apakah instance notebook responsif atau tidak.

Permintaan HTTP

GET https://notebooks.googleapis.com/v1/{name}:getInstanceHealth

Parameter jalur

Parameter
name

string

Wajib. Format: projects/{projectId}/locations/{location}/instances/{instanceId}

Otorisasi memerlukan izin IAM berikut pada name resource yang ditentukan:

  • notebooks.instances.getHealth

Isi permintaan

Isi permintaan harus kosong.

Isi respons

Respons untuk memeriksa apakah instance notebook responsif.

Jika berhasil, isi respons memuat data dengan struktur berikut:

Representasi JSON
{
  "healthState": enum (HealthState),
  "healthInfo": {
    string: string,
    ...
  }
}
Kolom
healthState

enum (HealthState)

Hanya output. healthState runtime.

healthInfo

map (key: string, value: string)

Hanya output. Informasi tambahan tentang kondisi instance. Example: healthInfo": { "docker_proxy_agent_status": "1", "docker_status": "1", "jupyterlab_api_status": "-1", "jupyterlab_status": "-1", "updated": "2020-10-18 09:40:03.573409" }

Objek yang berisi daftar pasangan "key": value. Contoh: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

Untuk mengetahui informasi selengkapnya, lihat Authentication Overview.

HealthState

Apakah instance responsif atau tidak.

Enum
HEALTH_STATE_UNSPECIFIED Substatus instance tidak diketahui.
HEALTHY Instance diketahui dalam kondisi baik (misalnya, daemon penting sedang berjalan). Berlaku untuk status AKTIF.
UNHEALTHY Instance diketahui dalam kondisi tidak sehat (misalnya, daemon penting tidak berjalan). Berlaku untuk status AKTIF.
AGENT_NOT_INSTALLED Instance belum menginstal agen pemantauan kondisi. Berlaku untuk status AKTIF.
AGENT_NOT_RUNNING Agen pemantauan kondisi instance tidak berjalan. Berlaku untuk status AKTIF.